%define upstream_name    Dist-Zilla-Plugin-Conflicts
%define upstream_version 0.07

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Declare conflicts for your distro
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::CheckConflicts)
BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module lets you declare conflicts on other modules (usually
dependencies of your module) in your _dist.ini_.

Declaring conflicts does several thing to your distro.

First, it generates a module named something like
'Your::Distro::Conflicts'. This module will use the Dist::CheckConflicts
manpage to declare and check conflicts. The package name will be obscured
from PAUSE by putting a newline after the 'package' keyword.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc README Changes LICENSE META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Mon Mar 14 2011 jquelin <jquelin> 0.70.0-1.mga1
+ Revision: 71010
- imported package perl-Dist-Zilla-Plugin-Conflicts


* Mon Mar 14 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
